AbstractConcurrentMap (Groovy 4.0.10)
Description: declaration: package: org.codehaus.groovy.util, class: AbstractConcurrentMap

Package org.codehaus.groovy.util

# Class AbstractConcurrentMap<K,V>

java.lang.Object
org.codehaus.groovy.util.AbstractConcurrentMapBase
org.codehaus.groovy.util.AbstractConcurrentMap<K,V>

Direct Known Subclasses:
  `ManagedConcurrentMap`

@Deprecated public abstract class AbstractConcurrentMap<K,V> extends AbstractConcurrentMapBase
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AbstractConcurrentMap.Entry<K,V>`
  Deprecated.
  `static class`
  `AbstractConcurrentMap.Segment<K,V>`
  Deprecated.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

  `MAXIMUM_CAPACITY, segments`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractConcurrentMap(Object segmentInfo)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `V`
  `get(K key)`
  Deprecated.
  `AbstractConcurrentMap.Entry<K,V>`
  `getOrPut(K key, V value)`
  Deprecated.
  `void`
  `put(K key, V value)`
  Deprecated.
  `void`
  `remove(K key)`
  Deprecated.
  `AbstractConcurrentMap.Segment`
  `segmentFor(int hash)`
  Deprecated.

  ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

  `createSegment, fullSize, hash, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractConcurrentMap

    public AbstractConcurrentMap(Object segmentInfo)
    Deprecated.

- ## Method Details

  - ### segmentFor

    public AbstractConcurrentMap.Segment segmentFor(int hash)
    Deprecated.
    Overrides:
      `segmentFor` in class `AbstractConcurrentMapBase`

  - ### get

    public V get(K key)
    Deprecated.

  - ### getOrPut

    public AbstractConcurrentMap.Entry<K,V> getOrPut(K key, V value)
    Deprecated.

  - ### put

    public void put(K key, V value)
    Deprecated.

  - ### remove

    public void remove(K key)
    Deprecated.